<div class="wrapper">
  <app-sidebar></app-sidebar>

  <!-- Page Content -->
  <div class="main">
    <main class="content">
      <div class="container-fluid p-0">

        <div class="text-center">
          <h1 >{{myteam}}</h1>
        </div>

        <ul class="nav justify-content-center nav-tab mt-2 mb-2">
          <li class="nav-item" [class.active]="showDashboard">
            <a class="nav-link"  (click)=showDash()>Dashboard</a>
          </li>
          <li class="nav-item" [class.active]="!showDashboard">
            <a class="nav-link" (click)=showGraphs()>Graphiques</a>
          </li>
        </ul>

        <div *ngIf="!stats">
          <div class="text-center mt-5">
            <img src="/assets/img/main-loader.gif" height="40px" width="40px">
          </div>
        </div>

        <div *ngIf="stats">
          <div *ngIf="showDashboard">
            <h2 class="mt-4 mb-3">Statistiques d'équipe</h2>
            <app-stats [myteam]="myteam" [statistiques]="stats" [matches]="matches" [userId]="userId"></app-stats>
          </div>
          <div class="row" *ngIf="!showDashboard">
            <div class="col-lg-6 col-md-6 col-xs-12">
              <h3>Notes de l'équipe</h3>
              <div style="display: block">
                <canvas mdbChart
                        [chartType]="'radar'"
                        [datasets]="teamDatasets"
                        [labels]="teamLabels"
                        [colors]="barChartColors"
                        [options]="chartOptions"
                        [legend]="true"
                        (chartHover)="chartHovered($event)"
                        (chartClick)="chartClicked($event)">
                </canvas>
              </div>
            </div>
            <div class="col-lg-6 col-md-6 col-xs-12">
              <h3>Buts</h3>
              <div style="display: block">
                <canvas mdbChart
                        [chartType]="'bar'"
                        [datasets]="goalsDatasets"
                        [labels]="playerOpponentLabels"
                        [colors]="chartColors"
                        [options]="chartOptions"
                        (chartHover)="chartHovered($event)"
                        (chartClick)="chartClicked($event)">
                </canvas>
              </div>
            </div>
            <div class="col-lg-6 col-md-6 col-xs-12">
              <h3>Classement général</h3>
              <div style="display: block">
                <canvas mdbChart
                        [chartType]="'bar'"
                        [datasets]="rankingDatasets"
                        [labels]="playerOpponentLabels"
                        [colors]="chartColors"
                        [options]="chartOptions"
                        (chartHover)="chartHovered($event)"
                        (chartClick)="chartClicked($event)">
                </canvas>
              </div>
            </div>
            <div class="col-lg-6 col-md-6 col-xs-12">
              <h3>Rotaldos</h3>
              <div style="display: block">
                <canvas mdbChart
                        [chartType]="'bar'"
                        [datasets]="rotaldosDatasets"
                        [labels]="playerOpponentLabels"
                        [colors]="chartColors"
                        [options]="chartOptions"
                        (chartHover)="chartHovered($event)"
                        (chartClick)="chartClicked($event)">
                </canvas>
              </div>
            </div>
          </div>

        </div>

      </div>
    </main>
  </div>
</div>


